Bug 19610 - apm flags '-i' and '-n' don't work
apm flags '-i' and '-n' don't work
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-23 11:24 EDT by Joe Krahn
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-24 04:28:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Krahn 2000-10-23 11:24:46 EDT
apm has flags '-i' and '-n' to enable/disable system suspend.
These appear to be no longer relevant for newer kernels, so the
functionality is compiled out with #ifdef APM_IOC_IGNORE statements,
but the usage message and manpage both suggest that this 
feature is still there.

While this could be quickly fixed with another #ifdef or two,
it would be nice if apm could control/query state settings to
pass to the apmd proxy script. It would be good to have a set
of variables and available settings in /etc/apm.conf, so that
adding features to apm control doesn't mean rewriting apm.

I came across this when trying to figure out how to use a laptop
with an external keyboard, mouse and monitor plugged in, and be
able to close the lid without suspending. This is similar to using
an real docking bay, which may or may not benefit from more apm
control.

Thanks, Joe Krahn
Comment 1 Bernhard Rosenkraenzer 2000-10-24 04:28:08 EDT
We actually have a set of variables and available settings. It's in /etc/sysconfig/apmd. (config files specific to Red Hat Linux usually are in /etc/sysconfig, and the base package doesn't support this sort of stuff).

Fixing up the man page now...
Comment 2 Bernhard Rosenkraenzer 2000-11-02 07:39:16 EST
Fixed in 3.0final-24

Note You need to log in before you can comment on or make changes to this bug.